Subject: Re: Getting Ensimag students to work on Git for a few weeks

From: Jakub Narebski <[email-masked]>
Date: Wed, 28 Oct 2009 15:41:32 -0700 (PDT)

Clemens Buchacher <[email-masked]> writes:

> On Tue, Oct 27, 2009 at 11:12:52AM +0100, Matthieu Moy wrote:
> 
> > The students work full-time for about 3 weeks (May 20th to June 16th),
> > and are grouped by teams of 2 to 4 students. Given my bandwidth, I
> > plan to propose only one group of 4 students this year, but we may
> > scale up later, who knows.
> 
> That's not much time to get familiar with a complex project like git. So you
> will have to do something extremely simple, which probably means that it
> won't be anything exciting. If it were, someone else would have done it
> already.

Let's take a look at some projects from SoC2009Ideas and Wishlist:
* "smart" HTTP transport is being actively worked on
* narrow / sparse checkout is being worked on
* directory renames development stalled, I think last was in
  http://thread.gmane.org/gmane.comp.version-control.git/99529
* git-svnserver has supposedly partial Python implementation
* restartable clone, which should be fairly easy to add to "dumb"
  protocols, and quite challenging to add to "smart" protocols;
  even without a code, having fresh ideas would be nice
* (optional) support for empty directories, needs index extension,
  there were some patches, but the area might be muddy

It all depends on what you want to achieve in this short time.  Would
it be to get to know OSS development workflow (submitting patches,
answering reviews, etc.), or would it be solving interesting real-life
problem, or perhaps solving some problem from beginning to the end
(the code being accepted).

-- 
Jakub Narebski
Poland
ShadeHawk on #git